<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net8.0-windows</TargetFramework>
    <ApplicationIcon>Images/superstar.ico</ApplicationIcon>
    <RootNamespace>superstar_1.0.0</RootNamespace>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <UseWPF>true</UseWPF>
    <ApplicationManifest>app.manifest</ApplicationManifest> <!-- 確保這一行引用了 manifest 文件 -->
    <UseWindowsForms>true</UseWindowsForms>
    <NoWarn>CS8618,CS8602,CS8622,CS8625,CS8600,CS8603,CS8601,CS8604,CS4014</NoWarn>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="MySqlConnector" Version="2.4.0" />
    <PackageReference Include="System.Data.SQLite.Core" Version="1.0.117" />
    <PackageReference Include="System.IO.Ports" Version="9.0.3" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="AxInterop.WMPLib">
      <HintPath>.\lib\AxInterop.WMPLib.dll</HintPath>
    </Reference>
    <Reference Include="DirectShowLib">
      <HintPath>.\lib\DirectShowLib.dll</HintPath>
    </Reference>
    <Reference Include="EPPlus">
      <HintPath>.\lib\EPPlus.dll</HintPath>
    </Reference>
    <Reference Include="INIFileParser">
      <HintPath>.\lib\INIFileParser.dll</HintPath>
    </Reference>
    <Reference Include="Interop.WMPLib">
      <HintPath>.\lib\Interop.WMPLib.dll</HintPath>
    </Reference>
    <Reference Include="MediaFoundation">
      <HintPath>.\lib\MediaFoundation.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Ink">
      <HintPath>.\lib\Microsoft.Ink.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.IO.RecyclableMemoryStream">
      <HintPath>.\lib\Microsoft.IO.RecyclableMemoryStream.dll</HintPath>
    </Reference>
    <Reference Include="NAudio">
      <HintPath>.\lib\NAudio.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json">
      <HintPath>.\lib\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="Pinyin4net">
      <HintPath>.\lib\Pinyin4net.dll</HintPath>
    </Reference>

    <Reference Include="System.Runtime">
      <HintPath>.\lib\System.Runtime.dll</HintPath>
    </Reference>
    <Reference Include="Vlc.DotNet.Core">
      <HintPath>.\lib\Vlc.DotNet.Core.dll</HintPath>
    </Reference>
    <Reference Include="Vlc.DotNet.Core.Interops">
      <HintPath>.\lib\Vlc.DotNet.Core.Interops.dll</HintPath>
    </Reference>
    <Reference Include="Vlc.DotNet.Forms">
      <HintPath>.\lib\Vlc.DotNet.Forms.dll</HintPath>
    </Reference>
    <Reference Include="zxing">
      <HintPath>.\lib\zxing.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <!-- 複製資料夾 foods -->
    <Content Include="foods\**\*.*">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>

    <!-- 複製資料夾 db -->
    <Content Include="db\**\*.*">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>

    <!-- 複製資料夾 txt -->
    <Content Include="txt\**\*.*">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>

    <!-- 複製資料夾 themes -->
    <Content Include="themes\**\*.*">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <!-- 複製資料夾 news -->
    <Content Include="news\**\*.*">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>

    <!-- 複製資料夾 sounds -->
    <Content Include="sounds\**\*.*">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="config.ini">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>


</Project>
